<?php   namespace Concrete\Package\EzPreview\Block\EzPreview;
use \Concrete\Core\Block\BlockType\BlockType;
use \Concrete\Core\Block\BlockController;
use \Concrete\Core\Block\View\BlockView as BlockView;
use Core;
use Database;

defined('C5_EXECUTE') or die("Access Denied."); 
class Controller extends BlockController
{
    protected $btTable = 'btEzPreview';
    protected $btInterfaceWidth = "420";
    protected $btWrapperClass = 'ccm-ui';
    protected $btInterfaceHeight = "400";

    public function getBlockTypeDescription() {
        return t("Installs a front-end responsive previewer tool.");
    }
    public function getBlockTypeName() {
        return t("EZ Preview");
    }
	function save($data) { 
		$db = Database::connection();
		$args['linktext'] 	= $data['linktext'];
		$args['ezptype'] 	= $data['ezptype'];
		$args['phone'] 	= is_numeric($data['phone']) ? intval($data['phone']) : '480';
		$args['tablet'] = is_numeric($data['tablet']) ? intval($data['tablet']) : '768';
		$args['laptop'] = is_numeric($data['laptop']) ? intval($data['laptop']) : '992';
		$args['desktop'] = is_numeric($data['desktop']) ? intval($data['desktop']) : '1200';
	
		parent::save($args);
	}
	public function validate($args) {
        $e = Core::make("helper/validation/error");       
        if(empty($args['phone'])){
            $e->add(t("Phone Size must have a value."));
        }
        if(!ctype_digit(trim($args['phone']))){
            $e->add(t("Phone Size must be numeric only."));
        }
		if(empty($args['tablet'])){
            $e->add(t("Tablet Size must have a value."));
        }
        if(!ctype_digit(trim($args['tablet']))){
            $e->add(t("Tablet Size must be numeric only."));
        }
		if(empty($args['laptop'])){
            $e->add(t("Laptop Size must have a value."));
        }
        if(!ctype_digit(trim($args['laptop']))){
            $e->add(t("Laptop Size must be numeric only."));
        }
		if(empty($args['desktop'])){
            $e->add(t("Desktop Size must have a value."));
        }
        if(!ctype_digit(trim($args['desktop']))){
            $e->add(t("Desktop Size must be numeric only."));
        }
	}
	public function registerViewAssets($outputContent = '') {
		$this->requireAsset('javascript','ezpreviewer');
	}
}