<?php namespace Concrete\Package\EzPreview;
use Package;
use BlockType;
use AssetList;
use \Concrete\Core\Asset\Asset;
use Database;

defined('C5_EXECUTE') or die("Access Denied.");

class Controller extends Package {

	protected $pkgHandle = 'ez_preview';
	protected $appVersionRequired = '5.7.1';
	protected $pkgVersion = '1.0.1';
	
	
	public function getPackageDescription() {
		return t("Installs a front-end responsive previewer tool.");
	}

	public function getPackageName() {
		return t("EZ Preview");
	}
	
	public function install()
	{
		$pkg = parent::install();
        BlockType::installBlockTypeFromPackage('ez_preview', $pkg);
	}
	
	public function on_start() {
		$al = AssetList::getInstance();
		$al->register(
	 		'javascript', 'ezpreviewer', 'blocks/ez_preview/js/previewer.js',
	 		array('version' => '1.0.0', 'position' => Asset::ASSET_POSITION_HEADER, 'minify' => false, 'combine' => false), $this
	 	);
	}
	
	public function uninstall() 
    {
        parent::uninstall();
        $db = Database::connection();
        $db->executeQuery('DROP TABLE IF EXISTS btEzPreview');
    }
}
?>